# minetest-telegram-bridge

# Usage

+ Install `python3`, `flask`, `python-telegram-bot`
+ `cd`
+ `git clone https://git.webionite.com/ceda_ei/minetest-telegram-bridge`
+ `ln -s ~/minetest-telegram-bridge/chat_mod ~/..minetest/mods/chat_mod`
+ Enable the mod in `world.mt`
+ `cd minetest-telegram-bridge/bot`
+ Copy `sample.config.py` to `config.py` and edit.
+ `python3 bot.py &`
+ `export FLASK_APP=server.py`
+ `export FLASK_ENV=production`
+ `flask run -p 9876`


# Configuration

To use a different port, change the respective config in `config.py` and add `chat_server_port = PORT` in `minecraft.conf` and run `flask run -p PORT` instead of the last step.
